FrontPage Server Administrator
FrontPage Server Administrator Help
Windows 95/Windows NT Version

Overview of the Server Administrator

Server Administrator Procedures

To change a server's port number

To change server type

To change the root directory of a server

To uninstall the Server Extensions

FrontPage Server Administrator Dialog Box Options

Select port number

This field lists the ports on which the FrontPage Server Extensions are installed. Select a port number before you perform any operation (except Install).

Install

Click Install to install the FrontPage Server Extensions on an existing Web server.

Upgrade

Click Upgrade when you have used a previous version of Microsoft FrontPage to create a FrontPage web and then you install a later version of FrontPage. To use the old FrontPage web with the new version of the software, you must upgrade the FrontPage web, which will copy the necessary files from the master installation area to the FrontPage web content area. This will not change the content; HTML, GIF, and JPG image files will be preserved.

Uninstall

Click Uninstall to remove the FrontPage Server Extensions from the selected port.

Check

Click Check to verify the configuration of the FrontPage Server Extensions on the selected port.

Authoring

Click Authoring to enable or disable authoring on the selected port.

Security

Click Security to add a user name and password to the list of administrators for the selected port.

Close

Click Close to close the FrontPage Server Administrator.

For help on Help, press F1.


Overview of the Server Administrator

The FrontPage Server Administrator is a tool used to configure the Microsoft FrontPage Server Extensions. Using the FrontPage Server Administrator, you can install, update, verify, or remove FrontPage webs for use with Microsoft FrontPage. The FrontPage Server Administrator also allows changing an administrator password and enabling or disabling the use of the FrontPage Explorer and FrontPage Editor against a Web server.

In general, most day-to-day management of FrontPage webs is integrated into the FrontPage Explorer. The FrontPage Server Administrator is used for operations that must be done from the same computer that is running the Web server software. The FrontPage Server Administrator can be run even when the Web server software is not currently running.

If you will be using the Personal Web Server that comes with FrontPage, then the server will be installed and configured as part of the FrontPage installation process.

If you will be using another type of Web server, you must install and configure that Web server before installing the FrontPage Server Extensions. Ensure that the Web server is installed correctly by testing it from a Web browser before proceeding with the installation of the FrontPage Server Extensions.

Web server configuration information needed during installation

When you use the Server Administrator to install the Server Extensions for a particular port, the Server Administrator will ask for the type of server, and may need further information that is specific to the server. The server-specific information needed for each server is:

For Server Type...	Do this…
Disk Based Web	Specify the root directory of the Disk Based Web. This directory can be empty or contain files, but it must already exist on your file system.
FrontPage Personal Web Server	Specify the main server configuration file. By default, this file name is C:\FrontPage Webs\Server\ conf\httpd.cnf, but you may need to adjust this if you specified a custom program directory during the installation process.
Microsoft Personal Web Server	Review the installation options in the confirmation dialog box. No other input will be necessary to complete the installation.
Microsoft Internet Information Server	Review the installation options in the confirmation dialog box. No other input will be necessary to complete the installation.
Netscape	The server configuration information is kept in the Windows NT or Windows 95 Registry, in a different area for each port. You must enter the port number in the space provided.
WebSite	The server configuration information is kept in the Windows NT or Windows 95 Registry. You only need to enter server specific information if you are using the multi-homing feature of WebSite, and in this case you must enter the fully qualified domain name for the server host that you are installing.


Administrator Setup for Personal Web Server Dialog Box

Use the Administrator Setup for Personal Web Server dialog box to register an administrator for a newly installed server.

Dialog Box Options

Name

Enter the name of the administrator.

Password

Enter the administrator's password.

Confirm Password

Enter the password again, to verify its correctness.

OK

Choose OK to accept the name and password.

Cancel

Choose Cancel to cancel editing the name and password. This also cancels the installation of the FrontPage Server Extensions on the given port.


Enable/Disable Authoring Dialog Box

The Enable/Disable Authoring dialog box indicates whether authoring is currently enabled or disabled on the selected port. You can choose to allow authoring, disallow authoring, and whether Secure Socket Layer (SSL) authoring is required.

When authoring is disabled, the FrontPage Explorer and the FrontPage Editor will not be able to access the FrontPage webs for the selected port.

Dialog Box Options

Enabled

Select this option to enable Web authoring on the selected port.

Disabled

Select this option to disable Web authoring on the selected port.

Require SSL for Authoring

Select this option to require SSL for authoring. When this option is selected, the FrontPage Server Extensions will verify at authoring time whether the user has selected the "Connect Using SSL" check box when creating, opening, or publishing a FrontPage web in the FrontPage Explorer.

Note   The Web server must be configured to support SSL before you select this option. If the Web server is not properly configured to support SSL and this option is selected, you will not be able to author against the server.

This setting applies to the root FrontPage web and to all sub-webs for the selected server.

OK

Choose OK to toggle the state of authoring on the selected port. If the dialog box reports that authoring is currently enabled, clicking OK disables authoring. If the dialog box reports that authoring is currently disabled, clicking OK enables authoring.

Cancel

Choose Cancel to close the dialog box without changing the state of authoring on the selected port.


Administrator Name and Password Dialog Box

The Administrator Name and Password dialog box lets you create or modify an administrator password for a given FrontPage web on the selected port.

Dialog Box Options

Web Name

Enter the name of the FrontPage web for which you want to change the name/password information. By default, this is set to the root FrontPage web.

Name

Enter the administrator's name.

Password

Enter the password for the administrator. If the name was already registered as an administrator, the password will be changed to the password you enter. If the name was not registered, it will be added to the list of administrators for the given FrontPage web on the given port.

Confirm Password

Enter the password again to confirm it.

Advanced

Choose Advanced to limit administrator access based on IP address. Only select this to limit access based on Internet address.

OK

Choose OK to accept your selections and close the dialog box.

Cancel

Choose Cancel to cancel your selections and close the dialog box.


Configure Server Extensions Dialog Box
Configure Server Type Dialog Box

The Configure Server Type dialog box configures the server to be used with the FrontPage Server Extensions.

If you will be using the FrontPage Personal Web Server, it will be installed and configured as part of the FrontPage setup process.

If you will be using another type of Web server, you must install and configure that Web server before installing the FrontPage Server Extensions. Ensure that the Web server is installed correctly by testing it from a Web browser before proceeding with the installation of the FrontPage Server Extensions.

Dialog Box Options

Server Type

Select the server type from the drop-down list: Disk Based Web, FrontPage Personal Web Server, Microsoft Personal Web Server, Microsoft Internet Information Server, Netscape Commerce Server, Netscape Communication Server, Netscape Enterprise Server, Netscape FastTrack Server, or WebSite.

Note   Other servers may be listed if their FrontPage Server Extensions have been installed.

OK

Choose OK after selecting the server type. The Server Administrator will display the Server Configuration dialog box.

Cancel

Choose Cancel to close the Configure Server Type dialog box without accepting your selections.


Server Configuration Dialog Box

The Server Configuration dialog box contains fields for setting server-specific configuration values. The fields displayed vary depending on the server type.

Dialog Box Options

Server Port

(Netscape servers only) Enter the port on which the Server Extensions are installed.

Server Config

(FrontPage Personal Web Server only) Specify the main server configuration file. By default, this file name is C:\FrontPage Webs\Server\conf\httpd.cnf, but you may need to adjust this if you specified a custom program directory during the installation process.

Multi Hosting

(WebSite server only) If you are using the multi-homing feature, enter the fully qualified domain name for the server host that will contain the Server Extensions. If you are not using multi-hosting, leave this field blank.

OK

Choose OK after selecting the server configuration information. The Server Administrator will display the Confirmation dialog box.

Cancel

Choose Cancel to close the Server Configuration dialog box without accepting your selections.


Confirmation Dialog Box

The Confirmation dialog box displays a summary of the most recent edits in the Configure Server Type Dialog Box and the Server Configuration dialog box.

Dialog Box Options

OK

Choose OK to accept the information as summarized in the Confirmation dialog box and to proceed with the installation of the FrontPage Server Extensions for the given port.

Cancel

Choose Cancel to cancel the Install command.


Changing a server's port number
To change a server's port number

If you already have the FrontPage Server Extensions running on one port, and you want to change the port number, follow these steps:

1	Shut down the server.

2	Start the Server Administrator.

3	In the Serve Administrator dialog box, select the current port in the Select Port Number field.

4	Select Uninstall to remove the Server Extensions for this port.

This will also remove the section for this port from the frontpg.ini file in your windows directory. This will not remove your content files such as the HTML files or GIF files. It will remove the _vti_bin directory holding the server extension executables for the FrontPage web and the _vti_txt directory holding the text index for the FrontPage web.

5	Change the port number for your server, through the normal mechanism provided for that server.

•	For the FrontPage 32 Personal Web Server, change the port number on the Port line of the httpd.cnf file. By default this file name is C:\FrontPage Webs\Server\conf\httpd.cnf.

•	To change the port number for a WebSite server, use the Server Admin program that comes with WebSite.

6	In the Server Administrator, select Install to re-install the Server Extensions for the new port.

7	Restart the server.


Changing server type
To change server type

If you already have the FrontPage Server Extensions running on one server, and you want to change the type of server (for example from WebSite to the FrontPage 32 bit Personal Web Server), follow these steps:

1	Shut down the server.

2	Start the Server Administrator.

3	Select the current port in the Select Port Number field.

4	Select Uninstall to remove the Server Extensions for this port.

This will also remove the section for this port from the frontpg.ini file in your windows directory. This will not remove your content files such as the HTML files or GIF files. It will remove the _vti_bin directory holding the server extension executables for the FrontPage web and the _vti_txt directory holding the text index for the FrontPage web.

5	Configure the new Web server, and make sure that it works from a Web browser.

6	In the Server Administrator, select Install to reinstall the Server Extensions for the new port. Fill in the fields appropriately for the new server.

7	Restart the server.


Changing the root directory of a server
To change the root directory of a server

If you already have the FrontPage Server Extensions running on a server, and you want to change the document root directory, follow these steps:

1	Shut down the server.

2	Start the Server Administrator.

3	Select the current port in the Select Port Number field.

4	Select Uninstall to remove the Server Extensions for this port.

This will also remove the section for this port from the frontpg.ini file in your windows directory. This will not remove your content files such as the HTML files or GIF files. It will remove the _vti_bin directory holding the server extension executables for the FrontPage web and the _vti_txt directory holding the text index for the FrontPage web.

5	Use the file manager to move the directory, and all of its files and subdirectories, to a new location. You can also just rename the directory from the file manager. Alternatively, if you do not want to carry the old content over to the new location, just create an empty directory for the new location.

6	Change the document root directory for your server to the new location, through the normal mechanism provided for that server. For example, for the FrontPage Personal Web Server, change the document root on the "DocumentRoot" line of the srm.cnf file. By default this file is stored in C:\FrontPage Webs\Server\conf\srm.cnf. If the DocumentRoot line starts with a '#' character, indicating that the line is a comment, then remove the '#' character.

7	In the Server Administrator, select Install to reinstall the Server Extensions for the new port. Fill in the sub-dialogs appropriately for the new server.

8	Restart the server.


Uninstalling the server extensions
To uninstall the Server Extensions

Removing Microsoft FrontPage is done by first uninstalling the Server Extensions for each port, and then uninstalling the rest of the FrontPage software.

To uninstall the FrontPage Server Extensions for a particular port:

1	Shut down the server.

2	Start the Server Administrator.

3	Select the port in the Select Port Number field.

4	Select Uninstall to remove the Server Extensions for this port.

This will also remove the section for this port from the frontpg.ini file in your windows directory. This will not remove your content files such as the HTML files or GIF files. It will remove the _vti_bin directory holding the server extension executables for the FrontPage web and the _vti_txt directory holding the text index for the FrontPage web.


IP address mask

The IP (Internet Protocol) address mask defines a range of IP addresses so that only those users whose IP addresses fall within the range are allowed access to an Internet service. To mask a portion of the IP address, replace it with the asterisk wild card character (*). For example, 192.200.*.* represents every computer with an IP mask that begins with 192.200.


IP address

An IP (Internet Protocol) address is a standard way of identifying a computer that is connected to a network. The IP address is four numbers separated by periods, and each number is less than 256, for example, 192.200.44.69.


IP Address Dialog Box
Internet Address Restriction Dialog Box

Use the Internet Address Restriction dialog box to limit administrator access to FrontPage webs on the given port based on Internet address.

Dialog Box Options

Internet Address Restriction

Enter the IP address. By default this is set to *.*.*.*, which means that administrator access to the FrontPage web is allowed from all Internet addresses. An IP address is four integers in the range of 1-256, separated by periods. You can substitute a wild card character (*) for any of the four numbers. For example, 192.*.*.* will indicate access to the FrontPage webs from all Internet addresses beginning with 192.

OK

Click OK to accept your selection.

Cancel

Click Cancel to cancel your selection.


FrontPage Server Extensions

The FrontPage Server Extensions are programs and scripts that support FrontPage and extend the functionality of the Personal Web Server. The FrontPage Server Extensions are available for popular Windows NT and UNIX Web servers.


multi-homing

Using a Web server to accept Internet accesses on more than one domain name.


port

One of the input/output channels of a computer. In the World Wide Web, port usually refers to the port number a server is running on. A single computer can have many Web servers running on it, each on a different port. The default port is 80.


FrontPage Server Administrator - Command Line Version

The command line version of the FrontPage Server Administrator lets you run the FrontPage Server Administrator in batch mode from your command line. The command line version has extended operations not available in the Windows version of the FrontPage Server Administrator.

Click here for help on the Windows version of the FrontPage Server Administrator.

Click here for an overview of the FrontPage Server Administrator.

Command-Line Options

-h

-help

Display help screen giving command line usage.

-o operation_type

-operation operation_type

The operation to be performed. Must be one of: install, upgrade, uninstall, check, recalc, enable, disable, security, putfile, recalcfile.

Each of these operations, and their required options are specified below in the examples section.

-p port

-port port

The port number. Port must be between 1 and 32767.For a multi-hosting configuration, port is given as hostname:port. If more than one server is listening on the same port, give the port as hostname:port or ipaddress:port.

-w webname

-web webname

The name of the FrontPage web. For the root FrontPage web, use "".

-r front_page_root_directory

-root front_page_root_directory

The directory name where the FrontPage Server Extensions are installed.

-t server_type

-type server_type

The server type. Must be one of: ncsa, ncsa-manual-restart, apache, apache-manual-restart, cern,
cern-manual-restart, or netscape, netscape-manual-restart.

-s server_config_file

-servconf server_config_file

The server configuration file name. By default the server configuration file is located under the directory where the server is installed, at a location that depends on the server:

For NCSA or Apache: conf/httpd.conf

For CERN: config/httpd.conf

For Netscape: config/magnus.conf

-m hostname

-multihost hostname

The hostname for a multi-hosting server configuration. This is required if you are installing the FrontPage Server Extensions to a server that is configured for multi-hosting, i.e. the server will respond to more than one host name. The hostname parameter may be either a fully qualified domain name or a four part numeric Internet address.

-u username

-username username

The administrator user name. Required on install or security operations.

-pw password

-password password

The administrator password. Required on install or security operations.

-i internet_address

-ipaddress internet_address

Specifies allowable Internet addresses for administrators. FrontPage will not accept the administrator username and password unless the client's address matches this Internet address pattern. This is a four part numeric Internet address, where the wild card * may be used in each part.

-d destination_URL

-destination destination_URL

The destination URL for a document in some FrontPage web on the server machine. The URL is relative to the FrontPage web specified with the -web option.

-f filename

-filename filename

A full path name for a file on the server machine.

Command-line Examples

To install the root FrontPage web for a Netscape server with the server configuration file /usr/local/www/t8148/conf/httpd.conf

The port number will be determined from the server configuration file. Set up the given administrator user name and password.

fpsrvadm  -o install -u username -pw password
          -r /usr/local/www/t8148/vermeer
          -t netscape
          -s /usr/local/www/t8148/config/magnus.conf

To install the root FrontPage web for an Apache server with the server configuration file /usr/local/www/t8148/conf/httpd.conf

The port number will be determined from the server configuration file. The server is configured for multi-hosting, and the Server Extensions will be installed for the host name cy.vermeer.com.

fpsrvadm -o install -u username -pw password
         -r /usr/local/www/t8148/vermeer
         -t apache
         -s /usr/local/www/t8148/conf/httpd.conf
         -m cy.vermeer.com

To create a sub FrontPage web, when the root FrontPage web already exists

fpsrvadm -o install -p 80 -w webname

To upgrade the root FrontPage web and all sub FrontPage webs for the specified port

The server extension programs will be copied from the FrontPage root directory to the _vti_bin subdirectory of each FrontPage web.

fpsrvadm -o upgrade -p 80

To uninstall the root web and all sub webs for the specified port

fpsrvadm -o uninstall -p 80

To check the root web and all sub webs for the specified port

fpsrvadm -o check -p 80

To disable authoring for the specified port

fpsrvadm -o disable -p 80

To enable authoring for the specified port

fpsrvadm -o enable -p 80

To add an administrator name and password, with the associated Internet address restriction, for the specified web

fpsrvadm -o security -p 80
         -w webname -u username
         -pw password -i ipaddress

To recalculate links for the specified web

fpsrvadm -o recalc -p 80 -w webname

To recalculate links for the root web on all ports

fpsrvadm -o recalc -p all

To add the file "filename" to the specified web, at the specified URL

fpsrvadm -o putfile -p 80
         -w webname -d url
         -f filename

To recalculate links as though the file at the given URL of the given web has changed

fpsrvadm -o recalcfile -p 80
         -w webname -d url


Overview of the FrontPage Server Administrator
Overview of the Server Administrator

The FrontPage Server Administrator is a tool used to configure the Microsoft FrontPage Server Extensions. Using the FrontPage Server Administrator, you can install, update, verify, or remove FrontPage webs for use with Microsoft FrontPage. The FrontPage Server Administrator also allows changing an administrator password and enabling or disabling the use of the FrontPage Explorer and FrontPage Editor against a Web server.

In general, most day-to-day management of FrontPage webs is integrated into the FrontPage Explorer. The FrontPage Server Administrator is used for operations that must be done from the same computer that is running the Web server software. The FrontPage Server Administrator can be run even when the Web server software is not currently running.

If you will be using the Personal Web Server that comes with FrontPage, then the server will be installed and configured as part of the FrontPage installation process.

If you will be using another type of Web server, you must install and configure that Web server before installing the FrontPage Server Extensions. Ensure that the Web server is installed correctly by testing it from a Web browser before proceeding with the installation of the FrontPage Server Extensions.

Web server configuration information needed during installation

When you use the Server Administrator to install the Server Extensions for a particular port, the Server Administrator will ask for the type of server, and may need further information that is specific to the server. The server-specific information needed for each server is:

For Server Type...	Do this…
Disk Based Web	Specify the root directory of the Disk Based Web. This directory can be empty or contain files, but it must already exist on your file system.
FrontPage Personal Web Server	Specify the main server configuration file. By default, this file name is C:\FrontPage Webs\Server\ conf\httpd.cnf, but you may need to adjust this if you specified a custom program directory during the installation process.
Microsoft Personal Web Server	Review the installation options in the confirmation dialog box. No other input will be necessary to complete the installation.
Microsoft Internet Information Server	Review the installation options in the confirmation dialog box. No other input will be necessary to complete the installation.
Netscape	The server configuration information is kept in the Windows NT or Windows 95 Registry, in a different area for each port. You must enter the port number in the space provided.
WebSite	The server configuration information is kept in the Windows NT or Windows 95 Registry. You only need to enter server specific information if you are using the multi-homing feature of WebSite, and in this case you must enter the fully qualified domain name for the server host that you are installing.